TypeScript SDK
Pages
Retrieve a page
GET
TypeScript SDK
Retrieves a Page object using the ID specified. Responses contains page properties, not page content. To fetch page content, use the Retrieve block children endpoint. Page properties are limited to up to 25 references per page property. To retrieve data related to properties that have more than 25 references, use the Retrieve a page property endpoint. (See Limits below for additional information.)Documentation Index
Fetch the complete documentation index at: https://developers.notion.com/llms.txt
Use this file to discover all available pages before exploring further.
Parent objects: Pages vs. databases
If a page’s Parent object is a database, then the property values will conform to the database property schema. If a page object is not part of a database, then the only property value available for that page is itstitle.
Limits
The endpoint returns a maximum of 25 page or person references per page property. If a page property includes more than 25 references, then the 26th reference and beyond might be returned asUntitled, Anonymous, or not be returned at all.
This limit affects the following properties:
people: response object can’t be guaranteed to return more than 25 people.relation: thehas_morevalue of therelationin the response object istrueif arelationcontains more than 25 related pages. Otherwise,has_moreis false.rich_text: response object includes a maximum of 25 populated inline page or person mentions.title: response object includes a maximum of 25 inline page or person mentions.
Connection capabilitiesThis endpoint requires a connection to have read content capabilities. Attempting to call this API without read content capabilities will return an HTTP response with a 403 status code. For more information on connection capabilities, see the capabilities guide.
Errors
Returns a 404 HTTP response if the page doesn’t exist, or if the connection doesn’t have access to the page. Returns a 400 or 429 HTTP response if the request exceeds the request limits. Note: Each Public API endpoint can return several possible error codes. See the Error codes section of the Status codes documentation for more information.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11 Path Parameters
The ID of the page to retrieve.
Query Parameters
Supply a list of property IDs to filter properties in the response. Note that if a page doesn't have a property, it won't be included in the filtered response.
Maximum array length:
100